/*
 *  Copyright (C) 2008  Thadeu Lima de Souza Cascardo <cascardo@holoscopio.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */


#ifndef ATOM_CATEGORY_H
#define ATOM_CATEGORY_H

#include <atompub/iri.h>

typedef struct _atom_category AtomCategory;

AtomCategory * atom_category_new (char *);
void atom_category_delete (AtomCategory *);
char * atom_category_term (AtomCategory *);
void atom_category_term_set (AtomCategory *, char *);
IRI * atom_category_scheme (AtomCategory *);
void atom_category_scheme_set (AtomCategory *, IRI *);
char * atom_category_label (AtomCategory *);
void atom_category_label_set (AtomCategory *, char *);

#endif
